igeo

## Class IParticleDistanceLink

- java.lang.Object
- - igeo.IDynamicsBase
  - - igeo.IParticleDistanceLink

- All Implemented Interfaces:
    IDynamics, ISubobject

      public class IParticleDistanceLink
      extends IDynamicsBase

  Class of an implementation of IDynamics to limit particles to be spacified direction from a center.
  Author:
    Satoru Sugihara

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `IVecI` | `center`
    `double` | `distance`
    `IParticleGeo` | `particle`

    - ### Fields inherited from class igeo.IDynamicsBase

      `parent, targets`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `IParticleDistanceLink(IParticleGeo ptcl, double dist, IVecI cntr)`
    `IParticleDistanceLink(IParticleGeo ptcl, IVecI cntr)`
    `IParticleDistanceLink(IParticleGeo ptcl, IVecI cntr, double dist, IObject parent)`
    `IParticleDistanceLink(IParticleGeo ptcl, IVecI cntr, IObject parent)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `initParticleDistanceLink()`
    `void` | `update()` behavior definition of updating dynamics in each time frame

    - ### Methods inherited from class igeo.IDynamicsBase

      `initDynamicsBase, initDynamicsBase, initDynamicsBase, interact, localDynamics, parent, parent, postinteract, postupdate, preinteract, preupdate, removeTarget, removeTarget, target, target, targetNum, targets, updateTarget`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### particle

          public IParticleGeo particle

    - #### center

          public IVecI center

    - #### distance

          public double distance

  - ### Constructor Detail

    - #### IParticleDistanceLink

          public IParticleDistanceLink(IParticleGeo ptcl,
                                       IVecI cntr,
                                       IObject parent)

    - #### IParticleDistanceLink

          public IParticleDistanceLink(IParticleGeo ptcl,
                                       IVecI cntr)

    - #### IParticleDistanceLink

          public IParticleDistanceLink(IParticleGeo ptcl,
                                       IVecI cntr,
                                       double dist,
                                       IObject parent)

    - #### IParticleDistanceLink

          public IParticleDistanceLink(IParticleGeo ptcl,
                                       double dist,
                                       IVecI cntr)

  - ### Method Detail

    - #### initParticleDistanceLink

          public void initParticleDistanceLink()

    - #### update

          public void update()

      Description copied from class: `IDynamicsBase`
      behavior definition of updating dynamics in each time frame
      Specified by:
        `update` in interface `IDynamics`
      Overrides:
        `update` in class `IDynamicsBase`